﻿@using System.Web.UI.WebControls
@using System.Web.Mvc;
@using System.Data;
@using Portal.Models.PO;
@using Portal.Controllers;
@using DevExpress.Web.ASPxEditors;


@model Toyota.Common.Web.MVC.ModelHolder

@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section StartupScript {
    GridgrlLPHeaderRoute.PerformCallback();
    GridgrlLPHeader.PerformCallback();
}

<style type="text/css">
    #popupAddTrackingScreen_PWC-1 
    {
        padding-bottom: 10px;  
    }
</style>
<script src="@Url.Content("~/Scripts/MicrosoftAjax.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/MicrosoftMvcValidation.js")" type="text/javascript"></script>

<script type="text/javascript">
    var ManifestNoGlobal = "";
    var RouteRateGlobal = 0;
    var RouteValue;
	var isClear = 'N';
	
    function jumpAddOrder(s, e) {
        var result = true;
        if (rdoDeliveryType.GetSelectedItem().text == "Add To Daily Delivery") {
            if (grlEDHeader.GetText() == '') {
                result = false;
                alert("Delivery No can't be empty !");
            }
        }

        if (result) {
            popupOrderScreen.Show();
            chckBoxContentPopup.SetChecked(false);
            PopupAdditionalDeliveryOrder.PerformCallback();
            RouteRateGlobal = 0;
        }
    }

    function AdditionalDeliveryOrder_EndCallback(s, e) {
        if (OrderPartSelectionAllMainLabel.GetValue() == 'All')
            chckBoxMainContent.SetChecked(true);
        else
            chckBoxMainContent.SetChecked(false);
    }

    function btnDeleteGridOrder_Click(s, e) {
        var GridId = OrderPartSelectionLabel.GetValue();

        if (GridId != "") {
            if (confirm("Are you sure delete item(s) ?")) {
                    //---=== Ajax store
                    $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/AdditionalDelivery/DeletingListOrder")",
                    data: {
                            GridId: OrderPartSelectionLabel.GetValue().substring(0, (OrderPartSelectionLabel.GetValue().length-1)),
                            GridSelection : OrderPartSelectionAllMainLabel.GetValue()
                        },
                        success: function (result) {
                            alert("Selected order part data was deleted.");
                            $('#contentresult').html(result);
                            OrderPartSelectionLabel.SetValue('');
                        },
                        error: function (result) {
                            alert("Error deleting order part data selected !");
                            OrderPartSelectionLabel.SetValue('');
                        }
                    });
                    //---=== End ajax store  
                    AdditionalDeliverySourceGrid.PerformCallback();
                    AdditionalDeliveryDestinationGrid.PerformCallback();            
            }  
        } else {
            alert('No order part data selected !');
        }
    }

    function openPopupOrderPart(s, e) {
        ManifestNoGlobal = s.GetValue().toString();
        popupOrderPartScreen.Show();
        clearPopupScreenField();
        PopupAdditionalDeliveryOrderPart.PerformCallback();
    }

    function btnAddSource_Click(s, e) {
        clearScreen();
        grlDockWo.SetEnabled(true);
        grlSupplierWo.SetEnabled(true);
        grlDockWo.SetText('');
        GridgrlDockWo.UnselectRows();
        grlSupplierWo.SetText('');
        GridgrlSupplierWo.UnselectRows();
        popupAddTrackingScreen.Show();
        PickupTimeArrival.SetValue(new Date('1900/01/01 00:00:00'));
        PickupTimeDeparture.SetValue(new Date('1900/01/01 00:00:00'));
        butonAdditionaLabel.SetText('S');        
    }

    function btnDeleteSource_Click(s, e) {
        if (SourceGridMainSelectionLabel.GetText() != "") {
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/DeletingListTrackingPoint")",
            data: {
                    GridId : SourceGridMainSelectionLabel.GetText().substring(0, (SourceGridMainSelectionLabel.GetText().length-1)),
                    FormSelect : 'S'
                },
                success: function (result) {
                    $('#contentSourceResult').html(result);
                },
                error: function (result) {
                    alert(result);
                    //alert("Error when delete lists data");
                }
            });
            //---=== End ajax store
        } else {
            alert('Please select data to delete.');
        }
    }

    function btnAddDestination_Click(s, e) {
        clearScreen();
        grlDockWo.SetEnabled(true);
        grlSupplierWo.SetEnabled(true);
        grlDockWo.SetText('');
        GridgrlDockWo.UnselectRows();
        grlSupplierWo.SetText('');
        GridgrlSupplierWo.UnselectRows();
        popupAddTrackingScreen.Show();
        PickupTimeArrival.SetValue(new Date('1900/01/01 00:00:00'));
        PickupTimeDeparture.SetValue(new Date('1900/01/01 00:00:00'));
        butonAdditionaLabel.SetText('D');
    }

    function btnDeleteDestination_Click(s, e) {
        if (DestinationGridMainSelectionLabel.GetText() != ""){
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/DeletingListTrackingPoint")",
            data: {
                    GridId : DestinationGridMainSelectionLabel.GetText().substring(0, (DestinationGridMainSelectionLabel.GetText().length-1)),
                    FormSelect : 'D'
                },
                success: function (result) {
                    $('#contentDesinationResult').html(result);
                },
                error: function (result) {
                    alert(result);
                    //alert("Error when delete lists data");
                }
            });
            //---=== End ajax store
        } else {
            alert('Please select data to delete.');
        }
    }

    function btnCancel_Click(s, e){
        document.location.href="/";
    }

    function btnClosePopupOrder_Click(s, e){
        popupOrderPartScreen.Hide();
    }

    function btnAddToGrid_Click(s, e) {
        //---=== Add to main screen ===---
        if (grlDockWo.GetText()!=""||grlSupplierWo.GetText()!="") {

            var nowDate = new Date();
            var ArrivalDate  = formatStringToDateTime(PickupDateArrival.GetText(), PickupTimeArrival.GetText()).split(/\-|\s/);
                ArrivalDate = new Date(ArrivalDate.slice(0,3).reverse().join('/')+' '+ArrivalDate[3]);
            var DepartureDate  = formatStringToDateTime(PickupDateDeparture.GetText(), PickupTimeDeparture.GetText()).split(/\-|\s/);
                DepartureDate = new Date(DepartureDate.slice(0,3).reverse().join('/')+' '+DepartureDate[3]);

            if (PickupDateArrival.GetText()=="") {
                alert('Arrival Time cannot empty.');
            } else if (PickupDateDeparture.GetText()=="") {
                alert('Departure Time cannot empty.');
            } else if (ArrivalDate < nowDate) {
                alert('Arrival Time cannot less than current time now.');
            } else if (DepartureDate < ArrivalDate) {
                alert('Departure Time cannot less than Arrival Time.');
            } else {
                //---=== Ajax store
                $.ajax({
                type: "POST",
                url: "@Url.Content("~/AdditionalDelivery/addingTrackingFromPopup")",
                data: {
                        DockCode : grlDockWo.GetText(), 
                        SupplierPlant : grlSupplierWo.GetText(),
                        FormSelect : butonAdditionaLabel.GetText(),
                        ArrivalTime : PickupDateArrival.GetText() + ' ' + PickupTimeArrival.GetText(),
                        DepartureTime : PickupDateDeparture.GetText() + ' ' + PickupTimeDeparture.GetText()
                    },
                    success: function (result) {
                        if (butonAdditionaLabel.GetText() == "S")
                            $('#contentSourceResult').html(result);
                        else
                            $('#contentDesinationResult').html(result);
                    },
                    error: function (result) {
                        alert(result);
                        //alert("Error when adding list data");
                    }
                });
                //---=== End ajax store
                popupAddTrackingScreen.Hide();
                clearScreen();   
            }         
        } else {
            alert('Please choose one item.');
        }
        //---=== End add to main screen ===---        
    }

    function PopupAdditionalDeliveryOrderPart_Callback(s, e){
        e.customArgs["ManifestNo"] = ManifestNoGlobal;
        ManifestNoGlobal = "";
    }

    function clearMainScreen(){
        grlEDHeader.SetText('');
        PickupDate.SetText('');
        grlLPHeader.SetText('');
        GridgrlLPHeader.UnselectRows();
        grlLPHeaderRoute.SetText('');
        GridgrlLPHeaderRoute.UnselectRows();
        Rate.SetText('');
        Reason.SetText('');
      
        if (isClear == 'N') {
            rdoDeliveryType.SetSelectedIndex(0)
        } else {
            isClear = 'N';
        }

        //PickupDateApprovalInfo.SetText('');
        //PickupTimeApprovalInfo.SetText('00:00:00');
        //PickupTimeApprovalInfo.Focus();
        PickupTimeApprovalInfo.SetValue(new Date('1900/01/01 00:00:00'));

        grlLPHeader.SetEnabled(false);

        Reason.SetEnabled(false);
        grlLPHeaderRoute.SetEnabled(true);
        Rate.SetEnabled(true);
        btnAddSource.SetEnabled(false);
        btnDeleteSource.SetEnabled(false);
        btnAddDestination.SetEnabled(false);
        btnDeleteDestination.SetEnabled(false);
        
        cbWithoutOrder.SetEnabled(false);
        cbWithoutOrder.SetChecked(false);

        $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/AdditionalDelivery/ClearGrid")",
                    data: {
                        DeliveryNo: grlEDHeader.GetText()
                    },
                    success: function (result) {
                        AdditionalDeliveryOrder.PerformCallback();
                        AdditionalDeliverySourceGrid.PerformCallback();
                        AdditionalDeliveryDestinationGrid.PerformCallback();
                    },
                    error: function (result) {
                        alert("Data not exist");
                    }
                });
    }

    function AdditionalDeliveryOrder_SelectAllRowData(s, e) {
        AdditionalDeliveryOrder.SelectRows();
    }

    function AdditionalDeliveryOrder_SelectionChange(s, e) {
        var GridId = OrderPartSelectionLabel.GetValue();
        var existingList = [];
        var mark = true;

            if (GridId != '') {
                existingList = GridId.split(';');
                var len = existingList.length-1;
                for(var i=0; i<len;i++){
                    if (AdditionalDeliveryOrder.lastMultiSelectIndex == existingList[i].split(',')[0]) {
                        mark = false;
                        existingList[i] = "";
                    }
                }
            } else {

                GridId += AdditionalDeliveryOrder.lastMultiSelectIndex + "," +
                        AdditionalDeliveryOrder.cpOrderNo[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpManifestNo[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpOrderType[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpOrderReleaseDate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpSupplierCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpSupplierPlant[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpRoute[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpRate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpReceivePlantCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpReceiveDockCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpTotalItem[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpTotalQty[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpErrorQty[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpArrivalPlanDate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                        AdditionalDeliveryOrder.cpArrivalActualDate[AdditionalDeliveryOrder.lastMultiSelectIndex] + ";";
                existingList = GridId.split(';');
            }
            

            if (mark) {
                if (OrderPartSelectionLabel.GetValue() != "")

                    existingList[(existingList.length-1)] += AdditionalDeliveryOrder.lastMultiSelectIndex + "," +
                                                             AdditionalDeliveryOrder.cpOrderNo[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpManifestNo[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpOrderType[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpOrderReleaseDate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpSupplierCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpSupplierPlant[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpRoute[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpRate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpReceivePlantCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpReceiveDockCode[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpTotalItem[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpTotalQty[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpErrorQty[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpArrivalPlanDate[AdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                             AdditionalDeliveryOrder.cpArrivalActualDate[AdditionalDeliveryOrder.lastMultiSelectIndex];
            }

            OrderPartSelectionLabel.SetValue('');
            for(var i=0; i<=(existingList.length-1);i++){
                if (existingList[i] != "") {
                    OrderPartSelectionLabel.SetValue(OrderPartSelectionLabel.GetValue() + existingList[i] + ';');
                }
            }


    }

    function btnSave_Click(s, e) {
        var GridId = "";
        var arrivalPlanDate;
        var arrivalDepatureDate;
        var MaxApproveDuration;

//            if (PickupDateArrivalPlan.GetText() == '')
//                arrivalPlanDate = '';
//            else
//                arrivalPlanDate = PickupDateArrivalPlan.GetText() + ' ' + PickupTimeArrivalPlan.GetText();

//            if (PickupDateDepaturePlan.GetText() == '')
//                arrivalDepatureDate = '';
//            else
//                arrivalDepatureDate = PickupDateDepaturePlan.GetText() + ' ' + PickupTimeDepaturePlan.GetText();

            if (PickupDateApprovalInfo.GetText() == '')
                MaxApproveDuration = '';
            else
                MaxApproveDuration = PickupDateApprovalInfo.GetText() + ' ' + PickupTimeApprovalInfo.GetText();
        
        if (confirm("Are you sure to save ?")){
            if (validationSave()) {   
                    //---=== Get GridId Value
                    $.ajax({
                        type: "POST",
                        url: "@Url.Content("~/AdditionalDelivery/GetPopupListOrder")",
                            success: function (result) {
                                if (result == 'no-data')
                                    result = '';
                                GridId = result;
                                if (GridId == "" && cbWithoutOrder.GetChecked() == false) {
                                    alert("No Order Part Data Selected !!!");
                                }
                                else 
                                {
                                    storeData(GridId);
                                }
                            },
                            error: function (result) {
                                GridId = '';
                            }
                        });
                    //---=== End Get GridId Value
                //---=== End action
            }
        }
    }

    function storeData(GridId){
        //---=== Ajax store
        var cwo = "";
        if (cbWithoutOrder.GetChecked() == true)
            cwo = "W";
        else
            cwo = "O";

        $.ajax({
        type: "POST",
        url: "@Url.Content("~/AdditionalDelivery/SavingDeliveryOrder")",
        data: {
                DeliveryType : rdoDeliveryType.GetSelectedItem().text,
                DeliveryNo : grlEDHeader.GetText(),
                PRoute : grlLPHeaderRoute.GetText(),
                PRate : Rate.GetText(), 
                LogisticPartner : grlLPHeader.GetText(),
                Reason : Reason.GetText(),
                GridId : GridId,
                arrivalPlanDate : '',
                arrivalDepatureDate : '',
                PickupDate : PickupDate.GetText(),
                MaxApproveDuration : PickupDateApprovalInfo.GetText() + ' ' + PickupTimeApprovalInfo.GetText(),
                orderType : cwo
            },
            success: function (result) {
                alert(result);
                clearMainScreen();
            },
            error: function (result) {
                alert(result);
                clearMainScreen();
            }
        });
        //---=== End ajax store
    }

    function validationSave(){
        var result = true;
        var arrivalPlan;
        var depaturePlan;
        var pickupDate;
        var pickupDateApproval;

        if (rdoDeliveryType.GetSelectedItem().text == 'Add New Delivery'){
            if (PickupDateApprovalInfo.GetText() == "") {
                alert("Approval due date can't be empty !");
                return false;
            }
        }
        
        if (PickupDate.GetText() != ""){
//            pickupDate = new Date(formatStringToDate(PickupDate.GetText())); 
//            pickupDateApproval = new Date(formatStringToDate(PickupDateApprovalInfo.GetText()));
//            if (pickupDateApproval > pickupDate){
//                alert("Approval due date must be less than or equal pickup date !");
//                return false;
//            }else{
//                arrivalPlan = new Date(formatStringToDate(PickupDateArrivalPlan.GetText()));
//                if (pickupDate > arrivalPlan){
//                    alert("Pick-up date can not less than arrival plan date !");
//                    return false;
//                } 
//            }
        }else{
            alert("Pickup Date can't be empty !");
            return false;
        }

        if (result)
            return true;
    }

    function formatStringToDate(valueDate){
        valueDate = valueDate.split(' ');
        valueDate = valueDate[0].split('.');
        valueDate = valueDate[2] + '-' + valueDate[1] + '-' + valueDate[0];

        return valueDate;
    }

    function formatStringToDateTime(valueDate, valueTime){
        valueDate = valueDate.split(' ');
        valueDate = valueDate[0].split('.');
        valueDate = valueDate[0] + '-' + valueDate[1] + '-' + valueDate[2] + ' ' + valueTime;

        return valueDate;
    }

    function PopupAddTrackingDestinationGrid_SelectionChange(s, e) {
        var GridId = DestinationGridMainSelectionLabel.GetValue();
        var existingList = [];
        var mark = true;

        if (GridId != '') {
            existingList = GridId.split(';');
            var len = existingList.length - 1;
            for (var i = 0; i < len; i++) {
                if (AdditionalDeliveryDestinationGrid.lastMultiSelectIndex == existingList[i].split(',')[0]) {
                    mark = false;
                    existingList[i] = "";
                }
            }
        } else {

            GridId += AdditionalDeliveryDestinationGrid.lastMultiSelectIndex + "," +
                      AdditionalDeliveryDestinationGrid.cpTrackingPoint[AdditionalDeliveryDestinationGrid.lastMultiSelectIndex] + ',' +
                      AdditionalDeliveryDestinationGrid.cpTrackingType[AdditionalDeliveryDestinationGrid.lastMultiSelectIndex] + ";";
            existingList = GridId.split(';');
        }


        if (mark) {
            if (DestinationGridMainSelectionLabel.GetValue() != "")

                existingList[(existingList.length - 1)] += AdditionalDeliveryDestinationGrid.lastMultiSelectIndex + "," +
                                                           AdditionalDeliveryDestinationGrid.cpTrackingPoint[AdditionalDeliveryDestinationGrid.lastMultiSelectIndex] + ',' +
                                                           AdditionalDeliveryDestinationGrid.cpTrackingType[AdditionalDeliveryDestinationGrid.lastMultiSelectIndex];
        }

        DestinationGridMainSelectionLabel.SetValue('');
        for (var i = 0; i <= (existingList.length - 1); i++) {
            if (existingList[i] != "") {
                DestinationGridMainSelectionLabel.SetValue(DestinationGridMainSelectionLabel.GetValue() + existingList[i] + ';');
            }
        }
    }

    function PopupAddTrackingSourceGrid_SelectionChange(s, e) {
        var GridId = SourceGridMainSelectionLabel.GetValue();
        var existingList = [];
        var mark = true;

        if (GridId != '') {
            existingList = GridId.split(';');
            var len = existingList.length - 1;
            for (var i = 0; i < len; i++) {
                if (AdditionalDeliverySourceGrid.lastMultiSelectIndex == existingList[i].split(',')[0]) {
                    mark = false;
                    existingList[i] = "";
                }
            }
        } else {

            GridId += AdditionalDeliverySourceGrid.lastMultiSelectIndex + "," +
                      AdditionalDeliverySourceGrid.cpTrackingPoint[AdditionalDeliverySourceGrid.lastMultiSelectIndex] + ',' +
                      AdditionalDeliverySourceGrid.cpTrackingType[AdditionalDeliverySourceGrid.lastMultiSelectIndex] + ';';
            existingList = GridId.split(';');
        }


        if (mark) {
            if (SourceGridMainSelectionLabel.GetValue() != "")

                existingList[(existingList.length - 1)] += AdditionalDeliverySourceGrid.lastMultiSelectIndex + ',' +
                                                           AdditionalDeliverySourceGrid.cpTrackingPoint[AdditionalDeliverySourceGrid.lastMultiSelectIndex] + ',' +
                                                           AdditionalDeliverySourceGrid.cpTrackingType[AdditionalDeliverySourceGrid.lastMultiSelectIndex];
        }

        SourceGridMainSelectionLabel.SetValue('');
        for (var i = 0; i <= (existingList.length - 1); i++) {
            if (existingList[i] != "") {
                SourceGridMainSelectionLabel.SetValue(SourceGridMainSelectionLabel.GetValue() + existingList[i] + ';');
            }
        }
    }

    function PopupAdditionalDeliveryOrder_SelectionChange(s, e) {
        var GridId = OrderPartPopupSelectionLabel.GetValue();
        var existingList = [];
        var vrate = "";

        var mark = true;
            if (GridId != '') {
                existingList = GridId.split(';');
                var len = existingList.length-1;
                for(var i=0; i<len;i++){
                    if (PopupAdditionalDeliveryOrder.lastMultiSelectIndex == existingList[i].split(',')[0]) {
                        mark = false;
                        existingList[i] = "";
                    }
                }
            } else {
                //GridId = PopupAdditionalDeliveryOrder.lastMultiSelectIndex + ", test " + PopupAdditionalDeliveryOrder.lastMultiSelectIndex + ';'; 
                vrate = Rate.GetText().trim();
                if (vrate.length > 1)
                    vrate = vrate;
                else
                    vrate = '0' + vrate;
                
                if ((grlLPHeaderRoute.GetText()!=PopupAdditionalDeliveryOrder.cpRoute[PopupAdditionalDeliveryOrder.lastMultiSelectIndex])&&
                    (vrate!=PopupAdditionalDeliveryOrder.cpRate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex]))
                    RouteRateGlobal = RouteRateGlobal + 1;

                GridId += PopupAdditionalDeliveryOrder.lastMultiSelectIndex + "," +
                    PopupAdditionalDeliveryOrder.cpOrderNo[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpManifestNo[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpOrderType[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpOrderReleaseDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpSupplierCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpSupplierPlant[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpRoute[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpRate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpReceivePlantCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpReceiveDockCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpTotalItem[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpTotalQty[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpErrorQty[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpArrivalPlanDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                    PopupAdditionalDeliveryOrder.cpArrivalActualDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + ";";
                existingList = GridId.split(';');
            }
            

            if (mark) {
                //alert('Checked');
                if (OrderPartPopupSelectionLabel.GetValue() != "") {
                    //existingList[(existingList.length-1)] = PopupAdditionalDeliveryOrder.lastMultiSelectIndex + ", test " + PopupAdditionalDeliveryOrder.lastMultiSelectIndex;
                    vrate = Rate.GetText().trim();
                    if (vrate.length > 1)
                        vrate = vrate;
                    else
                        vrate = '0' + vrate;

                    if ((grlLPHeaderRoute.GetText()!=PopupAdditionalDeliveryOrder.cpRoute[PopupAdditionalDeliveryOrder.lastMultiSelectIndex])&&
                    (vrate!=PopupAdditionalDeliveryOrder.cpRate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex]))
                    RouteRateGlobal = RouteRateGlobal + 1;
                    
                    existingList[(existingList.length-1)] = PopupAdditionalDeliveryOrder.lastMultiSelectIndex + ","+
                                                            PopupAdditionalDeliveryOrder.cpOrderNo[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpManifestNo[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpOrderType[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpOrderReleaseDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpSupplierCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpSupplierPlant[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpRoute[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpRate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpReceivePlantCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpReceiveDockCode[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpTotalItem[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpTotalQty[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpErrorQty[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpArrivalPlanDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex] + "," +
                                                            PopupAdditionalDeliveryOrder.cpArrivalActualDate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex];
                }
            } else {
                //alert('Unchecked');
                vrate = Rate.GetText().trim();
                if (vrate.length > 1)
                    vrate = vrate;
                else
                    vrate = '0' + vrate;

                if ((grlLPHeaderRoute.GetText()!=PopupAdditionalDeliveryOrder.cpRoute[PopupAdditionalDeliveryOrder.lastMultiSelectIndex])&&
                    (vrate!=PopupAdditionalDeliveryOrder.cpRate[PopupAdditionalDeliveryOrder.lastMultiSelectIndex]))
                    RouteRateGlobal = RouteRateGlobal - 1;
            }

            OrderPartPopupSelectionLabel.SetValue('');
            for(var i=0; i<=(existingList.length-1);i++){
                if ((existingList[i] != "")&&(existingList[i][0] != "")) {
                    OrderPartPopupSelectionLabel.SetValue(OrderPartPopupSelectionLabel.GetValue() + existingList[i] + ';');
                }
            }
    }

    function popupAddDockManualValidation(){
        return true;
    }

    function btnPopupSave_Click(s, e) {
        if (confirm('Do you want to add this list data ?')) {
            if ((RouteRateGlobal < 1)||(rdoDeliveryType.GetSelectedItem().text == "Add New Delivery")) {
                //---=== New Action
      
                if (OrderPartSelectionAllLabel.GetValue() == "") {
                    //---=== Ajax store
                    $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/AdditionalDelivery/AddingListOrder")",
                    data: {
                            GridId: OrderPartPopupSelectionLabel.GetValue().substring(0, (OrderPartPopupSelectionLabel.GetValue().length-1)),
                            GridSelection : OrderPartSelectionAllLabel.GetValue()
                        },
                        success: function (result) {
                            clearPopupScreenField()
                            popupOrderScreen.Hide();
                            PopupAdditionalDeliveryOrder.UnselectRows();
                            chckBoxContentPopup.SetChecked(false);
                            $('#contentresult').html(result);
                            addToListSourceTracking(OrderPartPopupSelectionLabel.GetValue().substring(0, (OrderPartPopupSelectionLabel.GetValue().length-1)));
                            addToListDestinationTracking(OrderPartPopupSelectionLabel.GetValue().substring(0, (OrderPartPopupSelectionLabel.GetValue().length-1)));
                            OrderPartPopupSelectionLabel.SetValue('');
                            OrderPartSelectionAllLabel.SetValue('');
                        },
                        error: function (result) {
                            alert(result);
                        }
                    });

                    //---=== End ajax store                
                } else {
                    alert("No Data Selected !!!");
                }
                //---=== End New Action
            } else {
                alert("Route and Rate can't be different with selected delivery !");
            }
        }
    }

    function addToListSourceTracking(GridId) {
        //---=== Ajax store
        $.ajax({
        type: "POST",
        url: "@Url.Content("~/AdditionalDelivery/addToListTracking")",
        data: {
                GridId: GridId,
                FormSelect : 'S',
                TrackingType: 'D'
            },
            success: function (result) {
                $('#contentSourceResult').html(result);
            },
            error: function (result) {
                alert(result);
            }
        });
        //---=== End ajax store
    }

    function addToListDestinationTracking(GridId) {
        //---=== Ajax store
        $.ajax({
        type: "POST",
        url: "@Url.Content("~/AdditionalDelivery/addToListTracking")",
        data: {
                GridId: GridId,
                FormSelect : 'D',
                TrackingType: 'S'
            },
            success: function (result) {
                $('#contentDesinationResult').html(result);
            },
            error: function (result) {
                alert(result);
            }
        });
        //---=== End ajax store
    }

        //---=== Delivery no action
        function grlEDHeader_OkButton_Click(s, e) {
            PickupDate.SetText('');
            grlLPHeader.SetText('');
            txtRoute.SetText('');
            Reason.SetText('');
            txtRate.SetText('');        
            if (rdoDeliveryType.GetSelectedItem().text == "Add To Daily Delivery") {
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/AdditionalDelivery/getDeliveryDetail")",
                    data: {
                        DeliveryNo: grlEDHeader.GetText()
                    },
                    success: function (result) {
                        txtRoute.SetText(result.Route);
                        txtRate.SetText(result.Rate);
                        grlLPHeader.SetText(result.LPCode);
                        Reason.SetText("Emergency Order");
                        PickupDate.SetText(result.PickUpDate);
                    },
                    error: function (result) {
                        alert("Data not exist");
                    }
                });
            }
    }
    //---=== End delivery no action

    function btnClear_Click(s, e) {
        rdoDeliveryType.SetSelectedIndex(0);
        clearMainScreen();
    }

    //---=== Checkbox Change
    function cbWithoutOrder_Click(s, e) {
        if (cbWithoutOrder.GetChecked()){
            if (rdoDeliveryType.GetSelectedItem().text == "Add New Delivery"){
                grlLPHeaderRoute.SetText('');
                btnAddSource.SetEnabled(true);
                btnDeleteSource.SetEnabled(true);
                btnAddDestination.SetEnabled(true);
                btnDeleteDestination.SetEnabled(true);
                
                grlLPHeaderRoute.SetEnabled(true);

                btnNewOrder.SetEnabled(false);
                btnDeleteGridOrder.SetEnabled(false);
            } else {
                btnAddSource.SetEnabled(false);
                btnDeleteSource.SetEnabled(false);
                btnAddDestination.SetEnabled(false);
                btnDeleteDestination.SetEnabled(false);    
                
                btnNewOrder.SetEnabled(true);
                btnDeleteGridOrder.SetEnabled(true);            
            }
        }else{
            grlLPHeaderRoute.SetText('');
            btnAddSource.SetEnabled(false);
            btnDeleteSource.SetEnabled(false);
            btnAddDestination.SetEnabled(false);
            btnDeleteDestination.SetEnabled(false);
            
            grlLPHeaderRoute.SetEnabled(false);
            
            btnNewOrder.SetEnabled(true);
            btnDeleteGridOrder.SetEnabled(true);  
        }
    }

    //---=== Radio button function
    function OnDeliveryTypeSelected(s, e) {
        grlEDHeader.SetText('');
        PickupDate.SetText('');
        grlLPHeader.SetText('');
        grlLPHeaderRoute.SetText('');
        Rate.SetText('');
        Reason.SetText('');
        btnNewOrder.SetEnabled(true);
        btnDeleteGridOrder.SetEnabled(true);
        isClear = 'Y';
        clearMainScreen();

        if (s.GetSelectedItem().text == "Add To Daily Delivery") {
            grlEDHeader.SetEnabled(false);
            grlLPHeader.SetEnabled(false);
            Reason.SetEnabled(false);
            grlLPHeaderRoute.SetEnabled(true);
            Rate.SetEnabled(true);

            btnAddSource.SetEnabled(false);
            btnDeleteSource.SetEnabled(false);
            btnAddDestination.SetEnabled(false);
            btnDeleteDestination.SetEnabled(false);
            cbWithoutOrder.SetEnabled(false);
            cbWithoutOrder.SetChecked(false);
        }
        else if (s.GetSelectedItem().text == "Add New Delivery") {
            grlEDHeader.SetEnabled(false);
            PickupDate.SetEnabled(true);
            grlLPHeader.SetEnabled(true);
            Reason.SetEnabled(true);
            grlLPHeaderRoute.SetEnabled(false);
            Rate.SetEnabled(false);
            cbWithoutOrder.SetEnabled(true);
            cbWithoutOrder.SetChecked(false);
//            if (cbWithoutOrder.GetChecked()){
//                btnNewOrder.SetEnabled(false);
//                btnDeleteGridOrder.SetEnabled(false);

//                btnAddSource.SetEnabled(true);
//                btnDeleteSource.SetEnabled(true);
//                btnAddDestination.SetEnabled(true);
//                btnDeleteDestination.SetEnabled(true);
//            }
        }
        RouteValue = '';
		isClear = 'I';
        Rate.PerformCallback();
    }
    //---=== End radio button function

    //---=== Action Route - Rate
    function OnRouteSelected(s, e) {
        RouteValue = grlLPHeaderRoute.GetText();        
        Rate.PerformCallback();

    }

    function RateBeginCallBack(s, e) {
        e.customArgs["Route"] = RouteValue;
        e.customArgs["PickupDate"] = PickupDate.GetText();
		
        if (((RouteValue == '') || (PickupDate.GetText() == '')) && (isClear == 'A'))
		{
            alert('Please fill route and pickup date first');
			isClear = 'A';
		}	
    }

    function Rate_SelectedIndexChanged(s, e) {
        if (PickupDate.GetText() != '') {
            //---=== Callback to define existing delivery No
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/GetDeliveryNo")",
            data: {
                    Route : grlLPHeaderRoute.GetText(), 
                    Rate : Rate.GetText(), 
                    Pickupdate : PickupDate.GetText()
                },
                success: function (result) {
                    if (result.DeliveryNo == 'no-data') {
                        grlEDHeader.SetText('');
                        grlLPHeader.SetText('');
                    } else {
                        grlEDHeader.SetText(result.DeliveryNo);
                        grlLPHeader.SetText(result.LPCode);
                    }
                },
                error: function (result) {
                    grlEDHeader.SetText('');
                    grlLPHeader.SetText('');
                }
            });
            //---=== End ajax store
        }
    }

    function PickupDate_DateChanged(s, e) {
        if (rdoDeliveryType.GetSelectedItem().text == "Add To Daily Delivery") {
            if ((grlLPHeaderRoute.GetText() != '')&&(Rate.GetText() != '')) {
            //---=== Callback to define existing delivery No
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/GetDeliveryNo")",
            data: {
                    Route : grlLPHeaderRoute.GetText(), 
                    Rate : Rate.GetText(), 
                    Pickupdate : PickupDate.GetText()
                },
                success: function (result) {
                    if (result.DeliveryNo == 'no-data') {
                        grlEDHeader.SetText('');
                        grlLPHeader.SetText('');
                    } else {
                        grlEDHeader.SetText(result.DeliveryNo);
                        grlLPHeader.SetText(result.LPCode);
                    }
                },
                error: function (result) {
                    grlEDHeader.SetText('');
                    grlLPHeader.SetText('');
                }
            });
            //---=== End ajax store
        }
        }
    }
    //---=== End Action Route - Rate
    var linkNameObj = '';
    var linkStatusObj = '';

    function AdditionalDeliverySourceGrid_EndCallback(s, e) {
    if (linkNameObj !='') 
        if (linkStatusObj == '')
            document.getElementById(linkNameObj).style.display = "block";
        else
            document.getElementById(linkNameObj).style.display = "none";
    }

    function AdditionalDeliverySourceGridEditLink_Click(s, e) {
        var index = s.name.substring(36);
            AdditionalDeliverySourceGrid.StartEditRow(index);
            linkNameObj = s.name;
            linkStatusObj = 'E';
    }

    function btnUpdateSource_Click(s, e) {
        var nowDate = new Date();
        var ArrivalDate  = formatStringToDateTime(ArrivalPlanDateSource.GetText(), ArrivalPlanTimeSource.GetText()).split(/\-|\s/);
            ArrivalDate = new Date(ArrivalDate.slice(0,3).reverse().join('/')+' '+ArrivalDate[3]);
        var DepartureDate  = formatStringToDateTime(DeparturePlanDateSource.GetText(), DeparturePlanTimeSource.GetText()).split(/\-|\s/);
            DepartureDate = new Date(DepartureDate.slice(0,3).reverse().join('/')+' '+DepartureDate[3]);

        if (ArrivalPlanDateSource.GetText()=="") {
            alert('Arrival Time cannot empty.');
        } else if (DeparturePlanDateSource.GetText()=="") {
            alert('Departure Time cannot empty.');
        } else if (ArrivalDate < nowDate) {
            alert('Arrival Time cannot less than current time now.');
        } else if (DepartureDate < ArrivalDate) {
            alert('Departure Time cannot less than Arrival Time.');
        } else {
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/UpdateAdditionalDeliverySourceGrid")",
            data: {
                    TrackingPointSource : TrackingPointSource.GetText(),
                    TrackingTypeSource : TrackingTypeSource.GetText(),
                    ArrivalPlanDate : ArrivalPlanDateSource.GetText() + ' ' + ArrivalPlanTimeSource.GetText(),
                    DeptPlanDate : DeparturePlanDateSource.GetText() + ' ' + DeparturePlanTimeSource.GetText()
                },
                success: function (result) {
                    AdditionalDeliverySourceGrid.PerformCallback();
                    AdditionalDeliverySourceGrid.CancelEdit();
                    linkStatusObj = '';
                },
                error: function (result) {
                    AdditionalDeliverySourceGrid.PerformCallback();
                    AdditionalDeliverySourceGrid.CancelEdit();
                    linkStatusObj = '';
                }
            });
            //---=== End ajax store
        }
    }

    function AdditionalDeliveryDestinationGrid_EndCallback(s, e) {
    if (linkNameObj !='') 
        if (linkStatusObj == '')
            document.getElementById(linkNameObj).style.display = "block";
        else
            document.getElementById(linkNameObj).style.display = "none";
    }

    function AdditionalDeliveryDestinationGridEditLink_Click(s, e) {
        var index = s.name.substring(41);
            AdditionalDeliveryDestinationGrid.StartEditRow(index);
            linkNameObj = s.name;
            linkStatusObj = 'E';
    }

    function btnUpdateDestination_Click(s, e) {
        var nowDate = new Date();
        var ArrivalDate  = formatStringToDateTime(ArrivalPlanDateDestination.GetText(), ArrivalPlanTimeDestination.GetText()).split(/\-|\s/);
            ArrivalDate = new Date(ArrivalDate.slice(0,3).reverse().join('/')+' '+ArrivalDate[3]);
        var DepartureDate  = formatStringToDateTime(DeparturePlanDateDestination.GetText(), DeparturePlanTimeDestination.GetText()).split(/\-|\s/);
            DepartureDate = new Date(DepartureDate.slice(0,3).reverse().join('/')+' '+DepartureDate[3]);

        if (ArrivalPlanDateDestination.GetText()=="") {
            alert('Arrival Time cannot empty.');
        } else if (DeparturePlanDateDestination.GetText()=="") {
            alert('Departure Time cannot empty.');
        } else if (ArrivalDate < nowDate) {
            alert('Arrival Time cannot less than current time now.');
        } else if (DepartureDate < ArrivalDate) {
            alert('Departure Time cannot less than Arrival Time.');
        } else {
            //---=== Ajax store
            $.ajax({
            type: "POST",
            url: "@Url.Content("~/AdditionalDelivery/UpdateAdditionalDeliveryDestinationGrid")",
            data: {
                    TrackingPointDestination : TrackingPointDestination.GetText(),
                    TrackingTypeDestination : TrackingTypeDestination.GetText(),
                    ArrivalPlanDate : ArrivalPlanDateDestination.GetText() + ' ' + ArrivalPlanTimeDestination.GetText(),
                    DeptPlanDate : DeparturePlanDateDestination.GetText() + ' ' + DeparturePlanTimeDestination.GetText()
                },
                success: function (result) {
                    AdditionalDeliveryDestinationGrid.PerformCallback();
                    AdditionalDeliveryDestinationGrid.CancelEdit();
                    linkStatusObj = '';
                },
                error: function (result) {
                    AdditionalDeliveryDestinationGrid.PerformCallback();
                    AdditionalDeliveryDestinationGrid.CancelEdit();
                    linkStatusObj = '';
                }
            });
            //---=== End ajax store
        }
    }
</script>

<table style="border:1px solid  #4f93e3; background-color:#DEECFD; padding:10px;" width="1330px">
    <tr>
        <td valign="top">
            @{ Html.RenderAction("HeaderAdditionalDelivery", "AdditionalDelivery"); }
        </td>
        <td valign="top" style="width: 560px;">
            <table width="100%">
                <tr>
                    <td colspan="4"><b>Destination</b></td>
                </tr>
                <tr>
                    <td style="width: 50%;" align="right">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <td>
                                    @Html.DevExpress().Button(
                                        setting =>
                                        {
                                            setting.Name = "btnAddSource";
                                            setting.Text = "Add";
                                            setting.Width = 120;
                                            setting.UseSubmitBehavior = true;
                                            setting.ClientEnabled = false;
                                            setting.ClientSideEvents.Click = "btnAddSource_Click";
                                        }
                                    ).GetHtml()
                                </td>
                                <td style="width:1px;">&nbsp;</td>
                                <td>
                                    @Html.DevExpress().Button(
                                        setting =>
                                        {
                                            setting.Name = "btnDeleteSource";
                                            setting.Text = "Delete";
                                            setting.Width = 120;
                                            setting.UseSubmitBehavior = true;
                                            setting.ClientEnabled = false;
                                            setting.ClientSideEvents.Click = "btnDeleteSource_Click";
                                        }
                                    ).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td align="right">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <td>
                                    @Html.DevExpress().Button(
                                        setting =>
                                        {
                                            setting.Name = "btnAddDestination";
                                            setting.Text = "Add";
                                            setting.Width = 120;
                                            setting.UseSubmitBehavior = true;
                                            setting.ClientEnabled = false;
                                            setting.ClientSideEvents.Click = "btnAddDestination_Click";
                                        }
                                    ).GetHtml()
                                </td>
                                <td style="width:1px;">&nbsp;</td>
                                <td>
                                    @Html.DevExpress().Button(
                                        setting =>
                                        {
                                            setting.Name = "btnDeleteDestination";
                                            setting.Text = "Delete";
                                            setting.Width = 120;
                                            setting.UseSubmitBehavior = true;
                                            setting.ClientEnabled = false;
                                            setting.ClientSideEvents.Click = "btnDeleteDestination_Click";
                                        }
                                    ).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="contentSourceResult">  
                            @{ Html.RenderAction("AdditionalDeliverySourceGrid", "AdditionalDelivery"); }
                        </div>
                    </td>
                    <td>
                        <div id="contentDesinationResult">  
                            @{ Html.RenderAction("AdditionalDeliveryDestinationGrid", "AdditionalDelivery"); }
                        </div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<div style="border:1px solid  #4f93e3; background-color:#DEECFD; padding:4px; margin-top:10px;">
<table width="100%">
    <tr>
        <td style="width: 80%">&nbsp;</td>
        <td align="right">
            @Html.DevExpress().Button(
                setting =>
                {
                    setting.Name = "btnDeleteGridOrder";
                    setting.Text = "Delete";
                    setting.Width = 120;
                    setting.UseSubmitBehavior = true;
                    setting.ClientSideEvents.Click = "btnDeleteGridOrder_Click";
                }
            ).GetHtml()     
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                setting =>
                {
                    setting.Name = "btnNewOrder";
                    setting.Text = "Add Order";
                    setting.Width = 120;
                    setting.UseSubmitBehavior = true;
                    setting.ClientSideEvents.Click = "jumpAddOrder";
                }
            ).GetHtml()     
        </td>
    </tr>
</table>
<div id="contentresult">    
    @Html.Partial("OrderGrid")</div>
</div>

@Html.DevExpress().Label(
                label => {
                    label.Name = "OrderPartSelectionAllLabel";
                    label.Properties.EnableClientSideAPI = true;
                    label.ClientVisible = false;
                }).GetHtml()

@Html.DevExpress().Label(
                label => {
                    label.Name = "OrderPartSelectionAllMainLabel";
                    label.ClientVisible = false;
                }).GetHtml()

@Html.DevExpress().Label(
    label => {
        label.Name = "OrderPartPopupSelectionLabel";
        label.ClientVisible = false;
    }).GetHtml()

@Html.DevExpress().Label(
    label => {
        label.Name = "OrderPartSelectionLabel";
        label.ClientVisible = false;
    }).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupOrderScreen";
    settings.HeaderText = "Add Order Screen";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(800);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = true;
    settings.SetContent(() => {
        Html.RenderPartial("popupOrderScreen", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupOrderPartScreen";
    settings.HeaderText = "Order Part Screen";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(830);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = true;
    settings.SetContent(() => {
        Html.RenderPartial("popupOrderPartScreen", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupAddTrackingScreen";
    settings.HeaderText = " ";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(380);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = true;
    settings.SetContent(() => {
        Html.RenderPartial("popupAddTrackingScreen", null);
    });
}).GetHtml()